<template>
  <div>
    <SwGsAddToCartBtn v-if="isClient || (isGuide && currentClientCartPermissions)"
                      :product="slotContext"
                      :isSmall="false"
                      :isHover="false"/>
    <slot/>
  </div>
</template>

<script>
  import SwGsAddToCartBtn from "./SwGsAddToCartBtn.vue";
  import {useGsCart} from "../logic/composables/useGsCart";
  import {useAppointment} from "../logic/composables/useAppointment";

  export default {
    name: "SwGsProductDetailsAddToCart",
    props: {
      slotContext: {
        type: Object | Array | String,
        default: null,
      },
    },
    components: {
      SwGsAddToCartBtn,
    },
    setup() {
      const { isGuide, isClient } = useAppointment();
      const { currentClientCartPermissions } = useGsCart();

      return {
        isGuide,
        isClient,
        currentClientCartPermissions
      }
    },
  }
</script>

<style lang="scss" scoped>
  .product-details__add-to-cart {
    display: none;
  }
</style>
